# Method: attributes.list

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/attributes/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/my-business/reference/rest/v4/attributes/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/attributes/list#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/attributes/list#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/attributes/list#body.ListAttributeMetadataResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/attributes/list#body.aspect)

Returns the list of available attributes that would be available for a location with the given primary category and country.

### HTTP request

`GET https://mybusiness.googleapis.com/v4/attributes`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `name` | `string` Resource name of the location to look up available attributes. |
| `categoryId` | `string` The primary category stable ID to find available attributes. |
| `country` | `string` The ISO 3166-1 alpha-2 country code to find available attributes. |
| `languageCode` | `string` The BCP 47 code of language to get attribute display names in. If this language is not available, they will be provided in English. |
| `pageSize` | `integer` How many attributes to include per page. Default is 200, minimum is 1. |
| `pageToken` | `string` If specified, the next page of attribute metadata is retrieved. The `pageToken` is returned when a call to `attributes.list` returns more results than can fit into the requested page size. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message for Locations.ListAttributeMetadata.

| JSON representation ||
|---|---|
| ``` { "attributes": [ { object (`https://developers.google.com/my-business/reference/rest/v4/attributes#AttributeMetadata`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `attributes[]` | ``object (`https://developers.google.com/my-business/reference/rest/v4/attributes#AttributeMetadata`)`` A collection of attribute metadata for the available attributes. |
| `nextPageToken` | `string` If the number of attributes exceeded the requested page size, this field will be populated with a token to fetch the next page of attributes on a subsequent call to `attributes.list`. If there are no more attributes, this field will not be present in the response. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).